be.fgov.ehealth.hubservices.core.v3

## Class GetPatientAuditTrailRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.GetPatientAuditTrailRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:20:26+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetPatientAuditTrailRequest
      extends Object
      implements Serializable

  Java class for GetPatientAuditTrailRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetPatientAuditTrailRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestListType"/>
               <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v3}SelectGetPatientAuditTrailType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPatientAuditTrailRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestListType` | `getRequest()` Gets the value of the request property.
    `SelectGetPatientAuditTrailType` | `getSelect()` Gets the value of the select property.
    `void` | `setRequest(RequestListType value)` Sets the value of the request property.
    `void` | `setSelect(SelectGetPatientAuditTrailType value)` Sets the value of the select property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetPatientAuditTrailRequest

          public GetPatientAuditTrailRequest()

  - ### Method Detail

    - #### getRequest

          public RequestListType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestListType`

    - #### setRequest

          public void setRequest(RequestListType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestListType`

    - #### getSelect

          public SelectGetPatientAuditTrailType getSelect()

      Gets the value of the select property.
      Returns:
        possible object is `SelectGetPatientAuditTrailType`

    - #### setSelect

          public void setSelect(SelectGetPatientAuditTrailType value)

      Sets the value of the select property.
      Parameters:
        `value` - allowed object is `SelectGetPatientAuditTrailType`

Connector Packaging PERSPHYSICIAN 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.